Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class ProxyHashtable

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.solarmetric.kodo.util.ProxyHashtable

All Implemented Interfaces:
  Cloneable, Map, ProxyMap, Serializable

Direct Known Subclasses:
  ProxyHashtableCT

public class ProxyHashtable
extends Hashtable
implements ProxyMap

Extension of the `Hashtable` type that dirties the persistent/transactional field it is assigned to on modification. The need to dirty the field on any modification mandates that this class must override all mutator methods of the base type. This may lead to multiple calls to the `PersistenceCapable.jdoMakeDirty(java.lang.String)` for one state change if one mutator method of the base type calls another.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Constructor Summary
`ProxyHashtable()` Template constructor.
`ProxyHashtable(Class keyType, Class valueType)` Constructor.
`ProxyHashtable(Map m, Class keyType, Class valueType)` Constructor.

Method Summary
`void` | `clear()`
`Set` | `entrySet()`
`Collection` | `getAdded()`
`ChangeManager` | `getChangeManager()`
`Comparator` | `getComparator()` Return the comparator used in this map, or null if it is unordered or uses natural ordering.
`Map` | `getCopy(Map orig)` This method should return a copy of the given map; the copy should be of the same class as the superclass of this collection.
`Object` | `getOwner()` Return the owning object.
`String` | `getOwnerFieldName()` Return the owning field name.
`Collection` | `getRemoved()`
`Set` | `keySet()`
`ProxyMap` | `newInstance(Class keyType, Class valueType, Map contents, Comparator compare)` This method should return a new proxy of the same concrete type as the implementing class.
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map m)`
`Object` | `remove(Object key)`
`void` | `setChangeManager(ChangeManager cm)`
`void` | `setOwner(Object pc, String fieldName)` Set the owning JDO instance of the proxy and the name of the field it is assigned to.
`Collection` | `values()`
`protected Object` | `writeReplace()`

Methods inherited from class java.util.Hashtable
`, clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Constructor Detail

### ProxyHashtable

    public ProxyHashtable()

  Template constructor.

### ProxyHashtable

    public ProxyHashtable(Map m,
                          Class keyType,
                          Class valueType)

  Constructor.
  Parameters:
    `m` - The data that this map should contain.
    `keyType` - All keys in this map must be instances of this type.
    `valueType` - All values in this map must be instances of this type.

### ProxyHashtable

    public ProxyHashtable(Class keyType,
                          Class valueType)

  Constructor.
  Parameters:
    `keyType` - All keys in this map must be instances of this type.
    `valueType` - All values in this map must be instances of this type.

Method Detail

### newInstance

    public ProxyMap newInstance(Class keyType,
                                Class valueType,
                                Map contents,
                                Comparator compare)

  Description copied from interface: `ProxyMap`
  This method should return a new proxy of the same concrete type as the implementing class. Used by the `ProxyManager` factories: one template instance of each type is created for the purpose of producing new instances via this method. Overcomes the performance penalties of reflection.
  Specified by:
    `newInstance` in interface `ProxyMap`

### getCopy

    public Map getCopy(Map orig)

  Description copied from interface: `ProxyMap`
  This method should return a copy of the given map; the copy should be of the same class as the superclass of this collection.
  Specified by:
    `getCopy` in interface `ProxyMap`

### getComparator

    public Comparator getComparator()

  Description copied from interface: `ProxyMap`
  Return the comparator used in this map, or null if it is unordered or uses natural ordering.
  Specified by:
    `getComparator` in interface `ProxyMap`

### setOwner

    public void setOwner(Object pc,
                         String fieldName)

  Description copied from interface: `ProxyMap`
  Set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.
  Specified by:
    `setOwner` in interface `ProxyMap`

### getOwner

    public Object getOwner()

  Description copied from interface: `ProxyMap`
  Return the owning object.
  Specified by:
    `getOwner` in interface `ProxyMap`

### getOwnerFieldName

    public String getOwnerFieldName()

  Description copied from interface: `ProxyMap`
  Return the owning field name.
  Specified by:
    `getOwnerFieldName` in interface `ProxyMap`

### getChangeManager

    public ChangeManager getChangeManager()

### setChangeManager

    public void setChangeManager(ChangeManager cm)

### getRemoved

    public Collection getRemoved()

### getAdded

    public Collection getAdded()

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `Hashtable`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`
  Overrides:
    `keySet` in class `Hashtable`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`
  Overrides:
    `values` in class `Hashtable`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Overrides:
    `entrySet` in class `Hashtable`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `Hashtable`

### putAll

    public void putAll(Map m)

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `Hashtable`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`
  Overrides:
    `remove` in class `Hashtable`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.